# Uses of Interface
com.opensymphony.sitemesh.Content

Packages that use Content
Package
Description
com.opensymphony.sitemesh
com.opensymphony.sitemesh.compatability
com.opensymphony.sitemesh.webapp
com.opensymphony.sitemesh.webapp.decorator

## Uses of Content in com.opensymphony.sitemesh

Methods in com.opensymphony.sitemesh that return Content
Modifier and Type
Method
Description
`Content`
ContentProcessor.`build(char[] data, SiteMeshContext context)`
Methods in com.opensymphony.sitemesh with parameters of type Content
Modifier and Type
Method
Description
`void`
Decorator.`render(Content content, SiteMeshContext context)`
`Decorator`
DecoratorSelector.`selectDecorator(Content content, SiteMeshContext context)`

## Uses of Content in com.opensymphony.sitemesh.compatability

Classes in com.opensymphony.sitemesh.compatability that implement Content
Modifier and Type
Class
Description
`class`
`HTMLPage2Content`
Adapts a SiteMesh 2 `HTMLPage` to a SiteMesh 3 `Content`.
Fields in com.opensymphony.sitemesh.compatability declared as Content
Modifier and Type
Field
Description
`private final Content`
Content2HTMLPage.`content`
Methods in com.opensymphony.sitemesh.compatability that return Content
Modifier and Type
Method
Description
`Content`
PageParser2ContentProcessor.`build(char[] data, SiteMeshContext context)`
Methods in com.opensymphony.sitemesh.compatability with parameters of type Content
Modifier and Type
Method
Description
`protected void`
OldDecorator2NewDecorator.`render(Content content, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, javax.servlet.ServletContext servletContext, SiteMeshWebAppContext webAppContext)`
`Decorator`
DecoratorMapper2DecoratorSelector.`selectDecorator(Content content, SiteMeshContext context)`
Constructors in com.opensymphony.sitemesh.compatability with parameters of type Content
Modifier
Constructor
Description
``
`Content2HTMLPage(Content content)`
``
`Content2HTMLPage(Content content, javax.servlet.http.HttpServletRequest request)`

## Uses of Content in com.opensymphony.sitemesh.webapp

Methods in com.opensymphony.sitemesh.webapp that return Content
Modifier and Type
Method
Description
`Content`
ContentBufferingResponse.`getContent()`
`private Content`
SiteMeshFilter.`obtainContent(ContentProcessor contentProcessor, SiteMeshWebAppContext webAppContext, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, javax.servlet.FilterChain chain)`
Continue in filter-chain, writing all content to buffer and parsing into returned `Page` object.

## Uses of Content in com.opensymphony.sitemesh.webapp.decorator

Methods in com.opensymphony.sitemesh.webapp.decorator with parameters of type Content
Modifier and Type
Method
Description
`void`
BaseWebAppDecorator.`render(Content content, SiteMeshContext context)`
`protected abstract void`
BaseWebAppDecorator.`render(Content content, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, javax.servlet.ServletContext servletContext, SiteMeshWebAppContext webAppContext)`
More convenient version of `BaseWebAppDecorator.render(com.opensymphony.sitemesh.Content, com.opensymphony.sitemesh.SiteMeshContext)` suited for Servlet API calls.
`protected void`
DispatchedDecorator.`render(Content content, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, javax.servlet.ServletContext servletContext, SiteMeshWebAppContext webAppContext)`
`protected void`
NoDecorator.`render(Content content, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, javax.servlet.ServletContext servletContext, SiteMeshWebAppContext webAppContext)`